Package ch.qos.logback.core.status

# Interface Status

All Known Implementing Classes:
  `ErrorStatus`, `InfoStatus`, `StatusBase`, `WarnStatus`

public interface Status

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`ERROR`
`static final int`
`INFO`
`static final int`
`WARN`

## Method Summary

Modifier and Type
Method
Description
`void`
`add(Status child)`
`Long`
`getDate()`
`int`
`getEffectiveLevel()`
`int`
`getLevel()`
`String`
`getMessage()`
`Object`
`getOrigin()`
`Throwable`
`getThrowable()`
`boolean`
`hasChildren()`
`Iterator<Status>`
`iterator()`
`boolean`
`remove(Status child)`

## Field Details

### INFO

static final int INFO

See Also:
  - Constant Field Values

### WARN

static final int WARN

See Also:
  - Constant Field Values

### ERROR

static final int ERROR

See Also:
  - Constant Field Values

## Method Details

### getLevel

int getLevel()

### getEffectiveLevel

int getEffectiveLevel()

### getOrigin

Object getOrigin()

### getMessage

String getMessage()

### getThrowable

Throwable getThrowable()

### getDate

Long getDate()

### hasChildren

boolean hasChildren()

### add

void add(Status child)

### remove

boolean remove(Status child)

### iterator

Iterator<Status> iterator()